import 'package:electronic_assistant/data/bean/talks.dart';
import 'package:json_annotation/json_annotation.dart';

part 'talk_paginate_response.g.dart';

@JsonSerializable()
class TalkPaginateResponse {
  @JsonKey(name: 'count')
  int count;

  @JsonKey(name: 'list')
  List<TalkBean>? list;

  TalkPaginateResponse(this.count, this.list);

  factory TalkPaginateResponse.fromJson(Map<String, dynamic> json) =>
      _$TalkPaginateResponseFromJson(json);
}
